## sugar-artwork-0.98 0.98.4

=== debian/changelog ===
sugar-artwork-0.98 (0.98.4-2) unstable; urgency=medium

  * Track xz compressed upstream tarballs (favored over bzip2).
  * Tell git-buildpackage to use xz compression.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for upstream authors and autotools.
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Wrap and sort Uploaders and package relations fields.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Unfuzz patches with shortening quilt options.
  * Bump dephelper compatibility level to 8.
  * Auto-resolve package branch.
  * Git-ignore quilt .pc dir.
  * Stop track checksum of upstream tarball.
  * Update package relations:
    + Stop depend on x11-apps: Needed only indirectly by icon-slicer
      since fixed.
    + Relax to build-depend unversioned on libgtk2.0-dev and
      icon-naming-utils: Needed versions satisfied even in oldstable.
  * Suppress copyright check of PNG files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2015 15:22:56 +0200

sugar-artwork-0.98 (0.98.4-1) unstable; urgency=low

  * New upstream release.
  * Adds debian/patches/sugar-style-h-prototypes.patch to specify missing
    prototypes.
  * Added myself to Uploaders
  * Bump Standars-Version to 3.9.4.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 00:51:43 +0200

sugar-artwork-0.96 (0.96.2-1) unstable; urgency=low

  * New upstream stable release.

  [ Luke Faraone ]
  * clean: Don't fail when sugar.stamp is missing

  [ Jonas Smedegaard ]
  * Build-depend on libgtk-3-dev.
  * Extend patch 2001 to cover gtk3 theme sources, and add DEP3 header.
  * (Re)generate autotools:
    + Build-depend on dh-autoreconf and gnome-common.
    + Include autoreconf snippet.
    + Drop patch 2991.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix turn second paragraph into a proper format 1.0 catch-all Files
      paragraph.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Quote license strings in comments.
    + Include disclaimer in license paragraph GAP~Makefile.in.
    + Fix consistently use License name LGPL~ (not other-LGPL).
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Fix typo in long description.
  * Avoid .la files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 20:26:12 +0200

sugar-artwork-0.92 (0.92.0-1) unstable; urgency=low

  * Shorten Vcs-* stanzas.
  * Update README.source to not mention quilt: Still implicitly used but
    not unusual for source format 3.0 and thus need no mention here.
  * Update copyright file:
    + Bump file format to draft 174 of DEP-5.
    + Fix consistently refer to GNU Lesser GPL (not Library).
    + Extend years.
  * Bump policy compliance to standards-version 3.9.2.
  * Switch packaging to upstream branch 0.92.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Apr 2011 18:41:06 +0200

sugar-artwork-0.90 (0.90.0-1) unstable; urgency=low

  * New upstream stable release.
  * Bump Policy compliance to standards-version 3.9.1.
  * Append _DEFAULT to deprecated CDBS variables in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 13:54:13 +0200

sugar-artwork-0.90 (0.89.2-1) experimental; urgency=low

  * New upstream development release.
  * Unfuzz patches.
  * Switch packaging to upstream branch 0.90.
  * Update copyright file: Extend some copyright years.
  * Bump Policy compliance to standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 01:47:49 +0200

sugar-artwork-0.88 (0.88.1-1) unstable; urgency=low

  * New upstream maintenance release.
    + Fixes undefined symbol: GTK_WIDGET_HAS_FOCUS.
      Closes: bug#583578.
  * Refresh patches.
  * Improve copyright file:
    + Tidy copyright sections.
    + Fix replace license section MIT with Expat and other-X.
  * Drop patch 1002 (workaround for older GTK+) as it causes other
    errors. Instead tighten build-dependency on libgtk2.0-dev to at
    least 2.16.
    Closes: bug#584717, thanks to Sascha Silbe.
  * Refer to FSF website (not postal address) in rules file header.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 16:28:11 +0200

sugar-artwork-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream stable release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Bump standards-version to 3.8.4.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 15:54:45 +0200

sugar-artwork-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Switch packaging to branch 0.88.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Dec 2009 18:35:10 +0100

sugar-artwork-0.86 (0.86.0-2) unstable; urgency=medium

  * Build-depend versioned on icon-slicer. Closes: bug#555963, thanks to
    Sascha Silbe.
  * Set urgency=medium as this fixes a bug also in testing.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Nov 2009 20:13:10 +0100

sugar-artwork-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 17:30:02 +0200


